import {
    IonPage,
    IonContent,
    IonHeader,
    IonTitle,
    IonToolbar,
    IonFooter,
    IonImg,
    IonItem,
    IonLabel,
    IonList,
    IonCard,
    IonCardContent,
    IonCardHeader,
    IonCardSubtitle,
    IonCardTitle,
    IonButton,
    IonGrid,
    IonRow,
    IonCol,
    IonButtons,
    IonBackButton
} from '@ionic/react';
import React, {useState} from 'react';
//import { Form } from 'react-bootstrap';
import './Questions.css';
import EnciclopediaPR from '../assets/EnciclopediaPR.png';
//import RobertoClemente from '../assets/RobertoClemente.jpg';
//import Quizzes from '../data/Quizzes.json';
import QuizForm from '../components/QuizForm';


const Questions: React.FC = () => {

    const [res1, setRes1] = useState();
    const [res2, setRes2] = useState();
    const [res3, setRes3] = useState();
    const [res4, setRes4] = useState();

    const verificarRes = () => {
        return console.log([res1, res2, res3, res4])
    };

    return (
        <IonPage>
            <IonHeader>
                <IonToolbar className="Header-Color">
                    <IonGrid fixed={true}>
                        <IonRow>
                            <IonCol></IonCol>
                            <IonCol>
                                <IonImg style={{ height: 50, width: 100 }} src={EnciclopediaPR} alt='Logo'></IonImg>
                                <IonTitle>Quiz</IonTitle>
                            </IonCol>
                            <IonCol></IonCol>
                        </IonRow>
                    </IonGrid>
                </IonToolbar>
            </IonHeader>

            {QuizForm(1)}

            <IonFooter>
                <IonToolbar className="Footer-Color">
                    <div className='Item-Center'>
                        <IonButtons slot="start">
                            <IonBackButton defaultHref="/ListBiographie"></IonBackButton>
                        </IonButtons>
                    </div>
                </IonToolbar>
            </IonFooter>
        </IonPage>
    );
};

export default Questions;